Gecode::Int::Extensional::TransBySymbolI_State Class Reference

Sort transition array by symbol and then input states. More...

## Public Member Functions

bool | operator() (const DFA::Transition &x, const DFA::Transition &y)

## Static Public Member Functions

static void | sort (DFA::Transition t[], int n)

## Detailed Description

Sort transition array by symbol and then input states.

Definition at line 73 of file dfa.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Extensional::TransBySymbolI_State::operator() | ( | const DFA::Transition & | x,
|  | const DFA::Transition & | y )

inline

Definition at line 76 of file dfa.cpp.

## sort()

void Gecode::Int::Extensional::TransBySymbolI_State::sort | ( | DFA::Transition | t[],
|  | int | n )

inline static

Definition at line 81 of file dfa.cpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/dfa.cpp